Subject: Bug#804: [X2Go-Dev] Bug#804: slot argument mismatch in ONMainWindow::slotTunnelOk causes hang during connect

From: Mihai Moldovan <[email-masked]>
Date: Thu, 12 Mar 2015 14:21:52 +0100

On 12.03.2015 02:09 PM, Will Wagner wrote:
> On 10/03/2015 16:22, Mihai Moldovan wrote:
>> Yes. The problem at hand is that this parameter is purely optional
>> anyway and never used.
>>
>> I totally missed that "this" in that context does not refer to
>> slotTunnelOk(int) but QSingleShotTimer::timeout(), which has no
>> parameter.
>>
>> [URL]
>
> Have test repeatedly and I can't make it go wrong any more. Thanks for
> fixing this.

Thank you for getting back!

I have merged the fix-fix into our master branch.

Mihai